com.davemorrissey.labs.subscaleview.decoder

## Interface ImageDecoder

All Known Implementing Classes:
  SkiaImageDecoder

    public interface ImageDecoder

Interface for image decoding classes, allowing the default `BitmapFactory` based on the Skia library to be replaced with a custom class.

### Method Summary

All Methods Instance Methods Abstract Methods
`Bitmap` `decode(Context context, Uri uri)` Decode an image.

### Method Detail

#### decode

    @NonNull
    Bitmap decode(Context context,
                           @NonNull
                           Uri uri)
                    throws Exception

Decode an image. The URI can be in one of the following formats:
File: `file:///scard/picture.jpg`
Asset: `file:///android_asset/picture.png`
Resource: `android.resource://com.example.app/drawable/picture`

Parameters:
  `context` - Application context
  `uri` - URI of the image
Returns:
  the decoded bitmap
Throws:
  `Exception` - if decoding fails.